<?php
	$plural_name = '';
	if( function_exists( 'ultimate_booking_pro_cs_get_option' ) ) :
		$plural_name	=	ultimate_booking_pro_cs_get_option( 'singular-staff-text', esc_html__('Staff', 'ultimate-booking-pro') );
	endif;

	vc_map( array(
		"name" => $plural_name,
		"base" => "dt_sc_staff_item",
		"icon" => "dt_sc_staff_item",
		"category" => esc_html__( 'Booking Manager', 'ultimate-booking-pro' ),
		"params" => array(

			# ID
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Enter Staff ID", "ultimate-booking-pro" ),
				"param_name" => "staff_id",
				"value" => '',
				"description" => esc_html__( 'Enter ID of staff to display.', 'ultimate-booking-pro' ),
			),

			# Type
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Type','ultimate-booking-pro'),
				'param_name' => 'type',
				'value' => array(
					esc_html__('Type - 1','ultimate-booking-pro') => 'type1',
					esc_html__('Type - 2','ultimate-booking-pro') => 'type2'
				)
			),

			# Button?
			array(
				'type' => 'dropdown',
				'param_name' => 'show_button',
				'value' => array(
					esc_html__('Yes','ultimate-booking-pro') => 'yes',
					esc_html__('No','ultimate-booking-pro') => 'no'
				),
				'heading' => esc_html__( 'Show button?', 'ultimate-booking-pro' ),
				'std' => 'no'
			),

			# Button Text
			array(
				"type" => "textfield",
				"heading" => esc_html__( "Button Text", "ultimate-booking-pro" ),
				"param_name" => "button_text",
				"value" => esc_html__('Book an appointment', 'ultimate-booking-pro'),
				"description" => esc_html__( 'Enter button text.', 'ultimate-booking-pro' ),
			)
	     )
	) );